giiSetEventMask(3)

NAME
giiSetEventMask, giiGetEventMask, giiAddEventMask, giiRemoveEventMask : Set the types of events queued

SYNOPSIS
#include <ggi/gii.h>
int giiSetEventMask(gii_input_t inp, gii_event_mask evm);
gii_event_mask giiGetEventMask(gii_input_t inp);
int giiAddEventMask(gii_input_t inp, gii_event_mask evm);
int giiRemoveEventMask(gii_input_t inp, gii_event_mask evm);

DESCRIPTION
Calling giiSetEventMask indicates to LibGII that only the types of events that match the specified event mask will be read by the application in subsequent giiEventPoll(3) or giiEventRead(3) calls. LibGII can then save time and memory by skipping checks and not allocating queues for events that will never be read out. The default mask allows all events. giiAddEventMask and giiRemoveEventMask are macros that set or delete individual bits in the bitmask.
    Note: giiSetEventMask is an advisory call. For correct operation, the application still needs to pass a restrictive event mask to the event reading functions.

RETURN VALUE
giiSetEventMask, giiAddEventMask and giiRemoveEventMask return 0 on success or an gii-error(3) code otherwise. giiGetEventMask returns the currently set mask.

SEE ALSO
gii_event_mask(3)